#!/bin/sh
# $1 file
DIR=$(pwd)

filename=$1

TMP="/tmp"
if [ $# -lt 1 ] ; then
  echo "Insert the file name of your bookmarks as first parametre"
  echo "Example: ./Check_bookmarks.sh ~boymixli/.mozilla/firefox/e6qv9xdg.default/bookmarks.html"
  exit 1
fi

process=$(ps -ef | grep "mozilla-firefox" | grep -v "grep" | wc -l)
if [ $process != 0 ] ; then
	echo "You must to close your firefox browser, please"
   ps -ef | grep "mozilla-firefox" | grep -v "grep" 
	exit 1
fi

$DIR/check_url.py -l"http://boymix81.altervista.org"
if [ $? -ne 0 ] ; then
	echo "You must to be connected to internet, please"
	exit 1
fi

echo "START - Check_bookmarks.sh v1.0"
date

i=1
n=$(wc -l < $filename)
rm $TMP/temp1.html 2>/dev/null 1>&2
rm $TMP/temp2.html 2>/dev/null 1>&2

while [ "$i" -lt "$n" ]
do
    riga=$(head -$i $filename | tail -1) 
    true=0
    true=$(echo $riga | grep "<A HREF" | cut -f2 -d"\"" | wc -l)
    if [ $true == 0 ] 
    then
       echo $riga >> $TMP/temp1.html
    else
        link=$(echo $riga | grep "<A HREF" | cut -f2 -d"\"")
        export link
        name=$(echo $riga | grep "<A HREF" | cut -f3 -d">"| cut -f1 -d"<")
        trueEndLink=$(echo $riga | grep "</A>" | wc -l)
        if [ $trueEndLink != 0 ] 
        then 
            $DIR/check_url.py -l"$link" 2>> $TMP/temp2.html
            #true=$(wget $link)
            if  [ $? == 0 ]
            then
                echo $riga >> $TMP/temp1.html
            else
                echo "This link "$link" is not correct, do you want delete the link now (y,N) ?"
                echo >> $TMP/temp2.html
                answ=""
                read -n1 answ
                if [ "x"$answ == "x" ]
                then
                    answ="n"
                fi
                echo
                if [ $answ == "n" ] || [ $answ == "N" ] 
                then
                     echo '<DT><A HREF="'$link'" ADD_DATE="1121717594" ID="">NOT-CORRECT['$name'] </A>' >> $TMP/temp1.html
                fi
            fi
        else
            i=`expr $i + 1` 
            riga2=$(head -$i $filename | tail -1) 
            trueEndLink2=$(echo $riga2 | grep "</A>" | wc -l)
            while [  $trueEndLink2 != 0 ] 
            do
                riga2=$riga2$(head -$i $filename | tail -1) 
                trueEndLink2=$(echo $(head -$i $filename | tail -1) | grep "</A>" | wc -l)
                i=`expr $i + 1`
            done
            i=`expr $i - 1`
            $DIR/check_url.py -l"$link" 2>> $TMP/temp2.html
            if  [ $? != 0 ]
            then
                echo "This link "$link" is not correct, do you want delete the link now (y,N) ?"
                echo >> $TMP/temp2.html
                answ=""
                read -n1 answ
                echo
               if [ "x"$answ == "x" ]
                then
                    answ="n"
                fi               
                if [ $answ == "n" ] || [ $answ == "N" ] 
                then
                        riga='<DT><A HREF="'$link'" ADD_DATE="1121717594" ID="">NOT-CORRECT['$name']'
                fi
            fi
            if [ $trueEndLink != 0 ]
            then
              echo $riga$riga2 >>  $TMP/temp1.html
            fi
      fi
    fi
    i=`expr $i + 1` 
done
n=$(wc -l < $TMP/temp2.html)
echo "Find "$n" faul links"
if  [ $n != 0 ]
then
  echo "Do you want save the modifies ? (Y,n)"
  answ=""
  read -n1 answ
  if [ "x"$answ == "x" ]
  then
    answ="y"
  fi
  echo
  if [ $answ == "y" ] || [ $answ == "Y" ] 
  then
    mv $TMP/temp1.html $filename
  fi
fi

rm $TMP/temp1.html 2>/dev/null 1>&2 
rm $TMP/temp2.html 2>/dev/null 1>&2

echo "Do you want open your firefox browser ? (Y,n)"
answ=""
read -n1 answ
if [ "x"$answ == "x" ] 
then
    answ="y"
fi
echo
if [ $answ == "y" ] || [ $answ == "Y" ] 
then
    firefox &
fi

echo "END"
date

exit 0
