#!/usr/bin/python
# -*- coding: utf-8 -*-
# Python

import os
import sys
import urllib 
import string
import getopt


list_words='not found','error 404','page error','pagina non trovata','pagina inesistente','errore 404','access danied','permission denied'
link='http://boymix81.altervista.org'

def usage():
    """ self --help """
    spaces = " " * 4
    print sys.argv[0] + " usage:"
    print spaces + " -h | --help         : this information"
    print spaces + " -l | --link         : set link to test (default: " + str(link) + ")"
    print
    sys.exit(0)
# end def

if __name__ == "__main__":

    # Process command line arguments   
    longOpts = [ "help", "link="]
    try: optlist, args = getopt.gnu_getopt( sys.argv[1:], "hl:", longOpts )
    except getopt.GetoptError: usage()
    for o, a in optlist:
        if   o in ( "-h", "--help" )  : usage( )
        elif o in ( "-l", "--link") : link = str(a)
    # end for
    
    try: 
        http = urllib.urlopen(link)
        data = http.read(1024) # read file only 1 kbytes
        http.close()
        data=string.lower(data)
        for i in range(0,len(list_words)):
            result=data.find(list_words[i])
            if result>0:
                sys.exit("Find in the page: '"+list_words[i]+"' word" )
        #end for
    except Exception, e: 
            print str(e)
            sys.exit(1)
    
    sys.exit(0)
